tigase.util.common

## Enum OSUtils.OS

- java.lang.Object
- - java.lang.Enum<OSUtils.OS>
  - - tigase.util.common.OSUtils.OS

- All Implemented Interfaces:
    Serializable, Comparable<OSUtils.OS>
  Enclosing class:
    OSUtils

      public static enum OSUtils.OS
      extends Enum<OSUtils.OS>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `linux`
    `mac`
    `other`
    `solaris`
    `sunos`
    `unix`
    `windows`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OSUtils.OS` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OSUtils.OS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### windows

          public static final OSUtils.OS windows

    - #### linux

          public static final OSUtils.OS linux

    - #### sunos

          public static final OSUtils.OS sunos

    - #### solaris

          public static final OSUtils.OS solaris

    - #### mac

          public static final OSUtils.OS mac

    - #### unix

          public static final OSUtils.OS unix

    - #### other

          public static final OSUtils.OS other

  - ### Method Detail

    - #### values

          public static OSUtils.OS[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OSUtils.OS c : OSUtils.OS.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OSUtils.OS valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.